package com.jpsoft.shinestar.modules.business.service;

import java.util.List;
import java.util.Map;

import com.jpsoft.shinestar.modules.base.entity.PersonPopedom;
import com.jpsoft.shinestar.modules.business.entity.CarryThingsOutFactory;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface CarryThingsOutFactoryService {
	CarryThingsOutFactory get(String id);
	boolean exist(String id);
	int insert(CarryThingsOutFactory model);
	int update(CarryThingsOutFactory model);
	int delete(String id);
	List<CarryThingsOutFactory> list();
	int getAppointmentPassNum(Map<String, Object> searchParams);
	Page<CarryThingsOutFactory> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);

    String submitCarryThings(PersonPopedom personPopedom, String date, String images, String content, String formId,String ids,String draft) throws Exception;
	Page<CarryThingsOutFactory> guardSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
}